
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_telecommande_004_16f628.mpas,42 :: 		begin
;electronique_telecommande_004_16f628.mpas,43 :: 		if InRC5 then
	BTFSS      PORTA+0, 5
	GOTO       L__interrupt2
;electronique_telecommande_004_16f628.mpas,44 :: 		Rc5_Interrupt
	CALL       _Rc5_Interrupt+0
	GOTO       L__interrupt3
;electronique_telecommande_004_16f628.mpas,45 :: 		else
L__interrupt2:
;electronique_telecommande_004_16f628.mpas,46 :: 		Rc6_Interrupt;
	CALL       _Rc6_Interrupt+0
L__interrupt3:
;electronique_telecommande_004_16f628.mpas,47 :: 		end;
L__interrupt141:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_Main_Init:

;electronique_telecommande_004_16f628.mpas,50 :: 		begin
;electronique_telecommande_004_16f628.mpas,51 :: 		CMCON := CMCON or 7;       // disable comparators
	MOVLW      7
	IORWF      CMCON+0, 1
;electronique_telecommande_004_16f628.mpas,52 :: 		OPTION_REG.NOT_RBPU := 0;  // enable pullup, only used by RB0
	BCF        OPTION_REG+0, 7
;electronique_telecommande_004_16f628.mpas,53 :: 		TRISA := $00;
	CLRF       TRISA+0
;electronique_telecommande_004_16f628.mpas,54 :: 		TRISB := $01;
	MOVLW      1
	MOVWF      TRISB+0
;electronique_telecommande_004_16f628.mpas,55 :: 		PORTA := $00;
	CLRF       PORTA+0
;electronique_telecommande_004_16f628.mpas,56 :: 		PORTB := $00;
	CLRF       PORTB+0
;electronique_telecommande_004_16f628.mpas,57 :: 		if InRC5 then
	BTFSS      PORTA+0, 5
	GOTO       L__Main_Init6
;electronique_telecommande_004_16f628.mpas,58 :: 		Rc5_Init
	CALL       _Rc5_Init+0
	GOTO       L__Main_Init7
;electronique_telecommande_004_16f628.mpas,59 :: 		else
L__Main_Init6:
;electronique_telecommande_004_16f628.mpas,60 :: 		Rc6_Init;
	CALL       _Rc6_Init+0
L__Main_Init7:
;electronique_telecommande_004_16f628.mpas,61 :: 		INTCON.GIE  := 1;  // enable interrupts
	BSF        INTCON+0, 7
;electronique_telecommande_004_16f628.mpas,62 :: 		OutIdx := 15;      // must be greather than 9 (not in interval 0..9)
	MOVLW      15
	MOVWF      _OutIdx+0
;electronique_telecommande_004_16f628.mpas,63 :: 		OutLedRx := 1;     // rc5 led off
	BSF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,64 :: 		iCount := 0;
	CLRF       _iCount+0
	CLRF       _iCount+1
;electronique_telecommande_004_16f628.mpas,65 :: 		end;
	RETURN
; end of _Main_Init

_Out_Set:

;electronique_telecommande_004_16f628.mpas,68 :: 		begin
;electronique_telecommande_004_16f628.mpas,69 :: 		OutLedRx := 0;  // rc5 led on;
	BCF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,71 :: 		0 : OutPrg0 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set12
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set142
	BCF        PORTA+0, 0
	GOTO       L__Out_Set143
L__Out_Set142:
	BSF        PORTA+0, 0
L__Out_Set143:
	GOTO       L__Out_Set9
L__Out_Set12:
;electronique_telecommande_004_16f628.mpas,72 :: 		1 : OutPrg1 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set15
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set144
	BCF        PORTA+0, 1
	GOTO       L__Out_Set145
L__Out_Set144:
	BSF        PORTA+0, 1
L__Out_Set145:
	GOTO       L__Out_Set9
L__Out_Set15:
;electronique_telecommande_004_16f628.mpas,73 :: 		2 : OutPrg2 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set18
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set146
	BCF        PORTA+0, 2
	GOTO       L__Out_Set147
L__Out_Set146:
	BSF        PORTA+0, 2
L__Out_Set147:
	GOTO       L__Out_Set9
L__Out_Set18:
;electronique_telecommande_004_16f628.mpas,74 :: 		3 : OutPrg3 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set21
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set148
	BCF        PORTA+0, 3
	GOTO       L__Out_Set149
L__Out_Set148:
	BSF        PORTA+0, 3
L__Out_Set149:
	GOTO       L__Out_Set9
L__Out_Set21:
;electronique_telecommande_004_16f628.mpas,75 :: 		4 : OutPrg4 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set24
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set150
	BCF        PORTB+0, 1
	GOTO       L__Out_Set151
L__Out_Set150:
	BSF        PORTB+0, 1
L__Out_Set151:
	GOTO       L__Out_Set9
L__Out_Set24:
;electronique_telecommande_004_16f628.mpas,76 :: 		5 : OutPrg5 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set27
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set152
	BCF        PORTB+0, 2
	GOTO       L__Out_Set153
L__Out_Set152:
	BSF        PORTB+0, 2
L__Out_Set153:
	GOTO       L__Out_Set9
L__Out_Set27:
;electronique_telecommande_004_16f628.mpas,77 :: 		6 : OutPrg6 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set30
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set154
	BCF        PORTB+0, 3
	GOTO       L__Out_Set155
L__Out_Set154:
	BSF        PORTB+0, 3
L__Out_Set155:
	GOTO       L__Out_Set9
L__Out_Set30:
;electronique_telecommande_004_16f628.mpas,78 :: 		7 : OutPrg7 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set33
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set156
	BCF        PORTB+0, 4
	GOTO       L__Out_Set157
L__Out_Set156:
	BSF        PORTB+0, 4
L__Out_Set157:
	GOTO       L__Out_Set9
L__Out_Set33:
;electronique_telecommande_004_16f628.mpas,79 :: 		8 : OutPrg8 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set36
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set158
	BCF        PORTB+0, 5
	GOTO       L__Out_Set159
L__Out_Set158:
	BSF        PORTB+0, 5
L__Out_Set159:
	GOTO       L__Out_Set9
L__Out_Set36:
;electronique_telecommande_004_16f628.mpas,80 :: 		9 : OutPrg9 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set39
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set160
	BCF        PORTB+0, 6
	GOTO       L__Out_Set161
L__Out_Set160:
	BSF        PORTB+0, 6
L__Out_Set161:
	GOTO       L__Out_Set9
L__Out_Set39:
L__Out_Set9:
;electronique_telecommande_004_16f628.mpas,82 :: 		OutLedRx := 1;  // rc5 led off;
	BSF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,83 :: 		iCount := 0;
	CLRF       _iCount+0
	CLRF       _iCount+1
;electronique_telecommande_004_16f628.mpas,84 :: 		end;
	RETURN
; end of _Out_Set

_Out_SetIndex:

;electronique_telecommande_004_16f628.mpas,87 :: 		begin
;electronique_telecommande_004_16f628.mpas,88 :: 		OutIdx := idx;
	MOVF       FARG_Out_SetIndex_idx+0, 0
	MOVWF      _OutIdx+0
;electronique_telecommande_004_16f628.mpas,89 :: 		iCount := 1;    // allow start counting
	MOVLW      1
	MOVWF      _iCount+0
	CLRF       _iCount+1
;electronique_telecommande_004_16f628.mpas,90 :: 		end;
	RETURN
; end of _Out_SetIndex

_Out_Debug:

;electronique_telecommande_004_16f628.mpas,93 :: 		begin
;electronique_telecommande_004_16f628.mpas,94 :: 		OutPrg0 := iCmd.0;
	BTFSC      FARG_Out_Debug_iCmd+0, 0
	GOTO       L__Out_Debug162
	BCF        PORTA+0, 0
	GOTO       L__Out_Debug163
L__Out_Debug162:
	BSF        PORTA+0, 0
L__Out_Debug163:
;electronique_telecommande_004_16f628.mpas,95 :: 		OutPrg1 := iCmd.1;
	BTFSC      FARG_Out_Debug_iCmd+0, 1
	GOTO       L__Out_Debug164
	BCF        PORTA+0, 1
	GOTO       L__Out_Debug165
L__Out_Debug164:
	BSF        PORTA+0, 1
L__Out_Debug165:
;electronique_telecommande_004_16f628.mpas,96 :: 		OutPrg2 := iCmd.2;
	BTFSC      FARG_Out_Debug_iCmd+0, 2
	GOTO       L__Out_Debug166
	BCF        PORTA+0, 2
	GOTO       L__Out_Debug167
L__Out_Debug166:
	BSF        PORTA+0, 2
L__Out_Debug167:
;electronique_telecommande_004_16f628.mpas,97 :: 		OutPrg3 := iCmd.3;
	BTFSC      FARG_Out_Debug_iCmd+0, 3
	GOTO       L__Out_Debug168
	BCF        PORTA+0, 3
	GOTO       L__Out_Debug169
L__Out_Debug168:
	BSF        PORTA+0, 3
L__Out_Debug169:
;electronique_telecommande_004_16f628.mpas,98 :: 		OutPrg4 := iCmd.4;
	BTFSC      FARG_Out_Debug_iCmd+0, 4
	GOTO       L__Out_Debug170
	BCF        PORTB+0, 1
	GOTO       L__Out_Debug171
L__Out_Debug170:
	BSF        PORTB+0, 1
L__Out_Debug171:
;electronique_telecommande_004_16f628.mpas,99 :: 		OutPrg5 := iCmd.5;
	BTFSC      FARG_Out_Debug_iCmd+0, 5
	GOTO       L__Out_Debug172
	BCF        PORTB+0, 2
	GOTO       L__Out_Debug173
L__Out_Debug172:
	BSF        PORTB+0, 2
L__Out_Debug173:
;electronique_telecommande_004_16f628.mpas,100 :: 		OutPrg6 := iCmd.6;
	BTFSC      FARG_Out_Debug_iCmd+0, 6
	GOTO       L__Out_Debug174
	BCF        PORTB+0, 3
	GOTO       L__Out_Debug175
L__Out_Debug174:
	BSF        PORTB+0, 3
L__Out_Debug175:
;electronique_telecommande_004_16f628.mpas,101 :: 		OutPrg7 := iCmd.7;
	BTFSC      FARG_Out_Debug_iCmd+0, 7
	GOTO       L__Out_Debug176
	BCF        PORTB+0, 4
	GOTO       L__Out_Debug177
L__Out_Debug176:
	BSF        PORTB+0, 4
L__Out_Debug177:
;electronique_telecommande_004_16f628.mpas,102 :: 		Delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__Out_Debug42:
	DECFSZ     R13+0, 1
	GOTO       L__Out_Debug42
	DECFSZ     R12+0, 1
	GOTO       L__Out_Debug42
	NOP
	NOP
;electronique_telecommande_004_16f628.mpas,103 :: 		end;
	RETURN
; end of _Out_Debug

_Out_Reset:

;electronique_telecommande_004_16f628.mpas,106 :: 		begin
;electronique_telecommande_004_16f628.mpas,108 :: 		for i := 1 to 3 do
	MOVLW      1
	MOVWF      _i+0
L__Out_Reset45:
;electronique_telecommande_004_16f628.mpas,110 :: 		OutLedRx := 0;  // rc5 led on
	BCF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,111 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__Out_Reset49:
	DECFSZ     R13+0, 1
	GOTO       L__Out_Reset49
	DECFSZ     R12+0, 1
	GOTO       L__Out_Reset49
	NOP
	NOP
;electronique_telecommande_004_16f628.mpas,112 :: 		OutLedRx := 1;  // rc5 led off
	BSF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,113 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L__Out_Reset50:
	DECFSZ     R13+0, 1
	GOTO       L__Out_Reset50
	DECFSZ     R12+0, 1
	GOTO       L__Out_Reset50
	NOP
	NOP
;electronique_telecommande_004_16f628.mpas,114 :: 		end;
	MOVF       _i+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__Out_Reset48
	INCF       _i+0, 1
	GOTO       L__Out_Reset45
L__Out_Reset48:
;electronique_telecommande_004_16f628.mpas,115 :: 		OutIdx := 15;   // prog not defined
	MOVLW      15
	MOVWF      _OutIdx+0
;electronique_telecommande_004_16f628.mpas,116 :: 		iCount := 0;
	CLRF       _iCount+0
	CLRF       _iCount+1
;electronique_telecommande_004_16f628.mpas,117 :: 		end;
	RETURN
; end of _Out_Reset

_In_HandleRc5Command:

;electronique_telecommande_004_16f628.mpas,120 :: 		begin
;electronique_telecommande_004_16f628.mpas,127 :: 		: Out_SetIndex(iCmd);
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command55
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command55:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command56
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command56:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command57
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command57:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command58
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command58:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command59
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command59:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command60
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command60:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command61
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command61:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command62
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command62:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command63
	GOTO       L__In_HandleRc5Command53
L__In_HandleRc5Command63:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command64
L__In_HandleRc5Command53:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	MOVWF      FARG_Out_SetIndex_idx+0
	CALL       _Out_SetIndex+0
	GOTO       L__In_HandleRc5Command52
L__In_HandleRc5Command64:
;electronique_telecommande_004_16f628.mpas,140 :: 		: Out_Set(OutIdx, true);
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      16
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command67
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command67:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      18
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command68
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command68:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      28
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command69
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command69:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      32
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command70
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command70:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      52
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command71
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command71:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      53
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command72
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command72:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      80
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command73
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command73:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      82
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command74
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command74:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      86
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command75
	GOTO       L__In_HandleRc5Command65
L__In_HandleRc5Command75:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      112
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command76
L__In_HandleRc5Command65:
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	MOVLW      255
	MOVWF      FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__In_HandleRc5Command52
L__In_HandleRc5Command76:
;electronique_telecommande_004_16f628.mpas,155 :: 		: Out_Set(OutIdx, false)
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      13
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command79
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command79:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      17
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command80
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command80:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      19
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command81
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command81:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      29
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command82
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command82:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      33
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command83
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command83:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      48
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command84
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command84:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      50
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command85
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command85:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      54
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command86
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command86:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      81
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command87
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command87:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      83
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command88
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command88:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      85
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command89
	GOTO       L__In_HandleRc5Command77
L__In_HandleRc5Command89:
	MOVF       FARG_In_HandleRc5Command_iCmd+0, 0
	XORLW      113
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc5Command90
L__In_HandleRc5Command77:
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	CLRF       FARG_Out_Set_bState+0
	CALL       _Out_Set+0
;electronique_telecommande_004_16f628.mpas,157 :: 		else Out_Reset;
	GOTO       L__In_HandleRc5Command52
L__In_HandleRc5Command90:
	CALL       _Out_Reset+0
L__In_HandleRc5Command52:
;electronique_telecommande_004_16f628.mpas,159 :: 		end;
	RETURN
; end of _In_HandleRc5Command

_In_HandleRc6Command:

;electronique_telecommande_004_16f628.mpas,162 :: 		begin
;electronique_telecommande_004_16f628.mpas,169 :: 		: Out_SetIndex(iCmd);
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command95
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command95:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command96
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command96:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command97
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command97:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command98
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command98:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command99
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command99:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command100
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command100:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command101
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command101:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command102
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command102:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command103
	GOTO       L__In_HandleRc6Command93
L__In_HandleRc6Command103:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command104
L__In_HandleRc6Command93:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	MOVWF      FARG_Out_SetIndex_idx+0
	CALL       _Out_SetIndex+0
	GOTO       L__In_HandleRc6Command92
L__In_HandleRc6Command104:
;electronique_telecommande_004_16f628.mpas,177 :: 		: Out_Set(OutIdx, true);
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      30
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command107
	GOTO       L__In_HandleRc6Command105
L__In_HandleRc6Command107:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      32
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command108
	GOTO       L__In_HandleRc6Command105
L__In_HandleRc6Command108:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      44
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command109
	GOTO       L__In_HandleRc6Command105
L__In_HandleRc6Command109:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      88
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command110
	GOTO       L__In_HandleRc6Command105
L__In_HandleRc6Command110:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      91
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command111
L__In_HandleRc6Command105:
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	MOVLW      255
	MOVWF      FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__In_HandleRc6Command92
L__In_HandleRc6Command111:
;electronique_telecommande_004_16f628.mpas,185 :: 		: Out_Set(OutIdx, false)
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      31
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command114
	GOTO       L__In_HandleRc6Command112
L__In_HandleRc6Command114:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      33
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command115
	GOTO       L__In_HandleRc6Command112
L__In_HandleRc6Command115:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      49
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command116
	GOTO       L__In_HandleRc6Command112
L__In_HandleRc6Command116:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      89
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command117
	GOTO       L__In_HandleRc6Command112
L__In_HandleRc6Command117:
	MOVF       FARG_In_HandleRc6Command_iCmd+0, 0
	XORLW      90
	BTFSS      STATUS+0, 2
	GOTO       L__In_HandleRc6Command118
L__In_HandleRc6Command112:
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	CLRF       FARG_Out_Set_bState+0
	CALL       _Out_Set+0
;electronique_telecommande_004_16f628.mpas,187 :: 		else Out_Reset;
	GOTO       L__In_HandleRc6Command92
L__In_HandleRc6Command118:
	CALL       _Out_Reset+0
L__In_HandleRc6Command92:
;electronique_telecommande_004_16f628.mpas,189 :: 		end;
	RETURN
; end of _In_HandleRc6Command

_main:

;electronique_telecommande_004_16f628.mpas,191 :: 		begin
;electronique_telecommande_004_16f628.mpas,192 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_telecommande_004_16f628.mpas,193 :: 		OutLedRx := 0;  // rc5 led on
	BCF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,194 :: 		delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__main120:
	DECFSZ     R13+0, 1
	GOTO       L__main120
	DECFSZ     R12+0, 1
	GOTO       L__main120
	DECFSZ     R11+0, 1
	GOTO       L__main120
	NOP
;electronique_telecommande_004_16f628.mpas,195 :: 		OutLedRx := 1;  // rc5 led off
	BSF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,197 :: 		while true do
L__main122:
;electronique_telecommande_004_16f628.mpas,201 :: 		if (iCount > 0) then
	MOVF       _iCount+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main178
	MOVF       _iCount+0, 0
	SUBLW      0
L__main178:
	BTFSC      STATUS+0, 0
	GOTO       L__main127
;electronique_telecommande_004_16f628.mpas,203 :: 		if iCount < 65530 then
	MOVLW      255
	SUBWF      _iCount+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main179
	MOVLW      250
	SUBWF      _iCount+0, 0
L__main179:
	BTFSC      STATUS+0, 0
	GOTO       L__main130
;electronique_telecommande_004_16f628.mpas,205 :: 		inc(iCount);
	INCF       _iCount+0, 1
	BTFSC      STATUS+0, 2
	INCF       _iCount+1, 1
;electronique_telecommande_004_16f628.mpas,207 :: 		end
	GOTO       L__main131
;electronique_telecommande_004_16f628.mpas,208 :: 		else
L__main130:
;electronique_telecommande_004_16f628.mpas,210 :: 		iCount := 0;
	CLRF       _iCount+0
	CLRF       _iCount+1
;electronique_telecommande_004_16f628.mpas,211 :: 		Out_Reset;
	CALL       _Out_Reset+0
;electronique_telecommande_004_16f628.mpas,212 :: 		end;
L__main131:
;electronique_telecommande_004_16f628.mpas,213 :: 		end;
L__main127:
;electronique_telecommande_004_16f628.mpas,216 :: 		if InRC5 then
	BTFSS      PORTA+0, 5
	GOTO       L__main133
;electronique_telecommande_004_16f628.mpas,218 :: 		if GetRc5(Rc5Toggle, Rc5System, Rc5Command) then
	MOVLW      _Rc5Toggle+0
	MOVWF      FARG_GetRc5_Toggle+0
	MOVLW      _Rc5System+0
	MOVWF      FARG_GetRc5_System+0
	MOVLW      _Rc5Command+0
	MOVWF      FARG_GetRc5_Command+0
	CALL       _GetRc5+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main136
;electronique_telecommande_004_16f628.mpas,221 :: 		OutLedRx := 0;  // rc5/6 led on
	BCF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,222 :: 		In_HandleRc5Command(Rc5Command);
	MOVF       _Rc5Command+0, 0
	MOVWF      FARG_In_HandleRc5Command_iCmd+0
	CALL       _In_HandleRc5Command+0
;electronique_telecommande_004_16f628.mpas,224 :: 		end;
L__main136:
;electronique_telecommande_004_16f628.mpas,225 :: 		end
	GOTO       L__main134
;electronique_telecommande_004_16f628.mpas,226 :: 		else
L__main133:
;electronique_telecommande_004_16f628.mpas,230 :: 		if GetRc6(Rc6Toggle, Rc6System, Rc6Command) then
	MOVLW      _Rc6Toggle+0
	MOVWF      FARG_GetRc6_Toggle+0
	MOVLW      _Rc6System+0
	MOVWF      FARG_GetRc6_System+0
	MOVLW      _Rc6Command+0
	MOVWF      FARG_GetRc6_Command+0
	CALL       _GetRc6+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main139
;electronique_telecommande_004_16f628.mpas,233 :: 		OutLedRx := 0;  // rc5/6 led on
	BCF        PORTA+0, 4
;electronique_telecommande_004_16f628.mpas,234 :: 		In_HandleRc6Command(Rc6Command);
	MOVF       _Rc6Command+0, 0
	MOVWF      FARG_In_HandleRc6Command_iCmd+0
	CALL       _In_HandleRc6Command+0
;electronique_telecommande_004_16f628.mpas,236 :: 		end;
L__main139:
;electronique_telecommande_004_16f628.mpas,237 :: 		end;
L__main134:
;electronique_telecommande_004_16f628.mpas,239 :: 		end;
	GOTO       L__main122
;electronique_telecommande_004_16f628.mpas,241 :: 		end.
	GOTO       $+0
; end of _main
